#ifndef QGDSPTESTCONNECTIONDIALOG_H
#define QGDSPTESTCONNECTIONDIALOG_H

#include <QDialog>

namespace Ui {
class QgNetworkConnectionDialog;
}

class QgNetworkConnectionDialog : public QDialog
{
  Q_OBJECT

public:
  explicit QgNetworkConnectionDialog(const QString& prefered_net=QString(), QWidget *parent = 0);
  ~QgNetworkConnectionDialog();

  //void setPreferedNetwork(const QString &net);
  QString hostNetworkName() const;

  QString hostAddress() const;
  QString targetAddress(int n) const;

  unsigned int adapterIndex() const;

  int jumboFrame() const;
  int txWindow() const;
  int rxWindow() const;

  void addWidget(QWidget* w);

private slots:
  void hostInterfaceChanged(int);

private:
  Ui::QgNetworkConnectionDialog *ui;

  QString preferedNetwork;

  bool privateSubnet;

};

#endif // QGDSPTESTCONNECTIONDIALOG_H
